#pragma once

#include "stdafx.h"
#include "McrSerialEnumDevices.h"
#include "Serial.h"

//#ifdef _WIN32
//#include <windows.h>
//#include <winbase.h>
//#endif

////////////////////////////////////////

#define MAX_PERICOM_PORTS_FOUND 30

// remember each of the Pericom ports we find, we may need to search them
extern int          iNumberPericomPortsFound;
extern CEnumDevInfo cPrimaryPericomPortFound[MAX_PERICOM_PORTS_FOUND];

class CMcrSerialInterface
{
	public:

	CMcrSerialInterface();
	~CMcrSerialInterface();

	public:
		CSerial mcrSerial;
		CSerial nmeaSerial;

		void EnumAllDevices(void);
	private:

	protected:
		void AddItem(const CEnumDevInfo* pInfo);

		BOOL			m_bNoneItem;
		BOOL			m_bOnlyPresent;
		BOOL			m_bOnlyPhysical;
		int             m_ActiveSerialPortNumber;
		TCHAR			m_strNone[512];

		TCHAR cStrPericomPort[512];
};








