#pragma once

#pragma pack(push,8)


//
// a structure defining MCRDRV version information
//

typedef struct _MCRDRVVER
{
    UCHAR           major;
    UCHAR           minor;
    UCHAR           revision;
    UCHAR           reserved;
} MCRDRVVER, *PMCRDRVVER;


#pragma pack(pop)

//
// Read time code statuses
//

#define TC_STATUS_NORMAL            0x00000000
#define TC_STATUS_INVALID           0x00000001
#define TC_STATUS_LOST              0x00000002
#define TC_STATUS_RESERVED          0x00000003 // for DLL compatibility
#define TC_STATUS_CALIBRATION       0x00000004

//
// Hardware status
//

//#define HW_STATUS_NORMAL            0x00000000
//#define HW_STATUS_CARDCOMMFAIL      0x00000001

//
// GPS-200A/MCR1000/MCR5000 operation statuses when Masterclock, Inc proprietary control
// bits are included in SMPTE time code, Leitch date encoding
//

#define GPS_NORMAL                  0x00000000
#define GPS_FREEWHEEL               0x00000001
